## ros-humble-random-numbers 2.0.1

=== debian/changelog ===
ros-humble-random-numbers (2.0.1-3jammy) jammy; urgency=high

  * Support rolling on CI (#32 <https://github.com/ros-planning/random_numbers/issues/32>)
  * Migrate to GitHub Actions (#30 <https://github.com/ros-planning/random_numbers/issues/30>)
  * Fix Travis README badge (#26 <https://github.com/ros-planning/random_numbers/issues/26>)
  * Enable WINDOWS_EXPORT_ALL_SYMBOLS property for MSVC support (#23 <https://github.com/ros-planning/random_numbers/issues/23>)
  * Declare specific boost depedencies (#22 <https://github.com/ros-planning/random_numbers/issues/22>)
    * removed unnecessary libboost-math libraries as only headers-only parts are used
  * Fix clang-format, ament_lint_cmake (#25 <https://github.com/ros-planning/random_numbers/issues/25>)
  * Contributors: Henning Kayser, Lior Lustgarten, Mikael Arguedas, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Mon, 24 May 2021 07:00:00 -0000

ros-humble-random-numbers (2.0.0-3jammy) jammy; urgency=high

  * [maint] Run Travis on Foxy and check ament_lint
  * Contributors: Henning Kayser

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Mon, 23 Nov 2020 08:00:00 -0000

ros-humble-random-numbers (1.0.0-3jammy) jammy; urgency=high

  * Fix ROS2 port (#18 <https://github.com/ros-planning/random_numbers/issues/18>)
  * Update Travis for ROS2 (#14 <https://github.com/ros-planning/random_numbers/issues/14>, #16 <https://github.com/ros-planning/random_numbers/issues/16>)
  * Fix shared library install path (#13 <https://github.com/ros-planning/random_numbers/issues/13>)
  * Contributors: Henning Kayser, Mike Lautman, Robert Haschke, Sean Yen

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Fri, 10 Jul 2020 07:00:00 -0000

ros-humble-random-numbers (0.3.2-3jammy) jammy; urgency=high

  * Update maintainership. (#11 <https://github.com/ros-planning/random_numbers/issues/11>)
  * Contributors: Steven! Ragnarök

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Tue, 27 Feb 2018 08:00:00 -0000

ros-humble-random-numbers (0.3.1-3jammy) jammy; urgency=high

  * Merge pull request #10 <https://github.com/ros-planning/random_numbers/issues/10> from jspricke/cmake_lib
    Use catkin variables for install dirs
  * Contributors: Dave Coleman, Jochen Sprickerhof

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Mon, 04 Apr 2016 07:00:00 -0000

ros-humble-random-numbers (0.3.0-3jammy) jammy; urgency=high

  * Update README.md with Documentation
  * Allow the randomly generated seed to be saved so that experiments / benc...
  * Initialize static int to 0
  * Save the first_seed even when passed in manually.
  * Allow the randomly generated seed to be saved so that experiments / benchmarks can be recreated in the future
  * Added ability to specify random number generator seed for stochastic behavior
  * Added travis build status indicator in README.md
  * Contributors: Dave Coleman, Dave Hershberger, Ioan A Sucan

 -- Anas M'chichou <anasarrak@erlerobotics.com>  Fri, 05 Sep 2014 07:00:00 -0000

ros-humble-random-numbers (0.2.0-3jammy) jammy; urgency=high

  * Merge pull request #2 <https://github.com/ros-planning/random_numbers/issues/2> from wjwwood/patch-1
    Fix linkedit error on OS X with newer versions of Boost
  * Fix linkedit error on OS X with newer versions of Boost
    When building random_numbers on OS X with Boost 1.53.0 I get:
    ```
    ==> Processing catkin package: 'random_numbers'
    ==> Creating build directory: 'build_isolated/random_numbers'
    ==> Building with env: '/Users/william/moveit_ws/install_isolated/env.sh'
    ==> cmake /Users/william/moveit_ws/src/random_numbers -DCATKIN_DEVEL_PREFIX=/Users/william/moveit_ws/devel_isolated/random_numbers -DCMAKE_INSTALL_PREFIX=/Users/william/moveit_ws/install_isolated
    -- The C compiler identification is Clang 4.2.0
    -- The CXX compiler identification is Clang 4.2.0
    -- Check for working C compiler: /usr/bin/cc
    -- Check for working C compiler: /usr/bin/cc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Check for working CXX compiler: /usr/bin/c++
    -- Check for working CXX compiler: /usr/bin/c++ -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    -- Using CATKIN_DEVEL_PREFIX: /Users/william/moveit_ws/devel_isolated/random_numbers
    -- Using CMAKE_PREFIX_PATH: /Users/william/moveit_ws/install_isolated
    -- This workspace overlays: /Users/william/moveit_ws/install_isolated
    -- Found PythonInterp: /usr/bin/python (found version "2.7.2")
    -- Found PY_em: /Library/Python/2.7/site-packages/em.pyc
    -- Found gtest: gtests will be built
    -- Using CATKIN_TEST_RESULTS_DIR: /Users/william/moveit_ws/build_isolated/random_numbers/test_results
    -- catkin 0.5.65
    WARNING: 'catkin' should be listed as a buildtool dependency in the package.xml (instead of build dependency)
    -- Boost version: 1.53.0
    -- Found the following Boost libraries:
    --   date_time
    --   thread
    -- Configuring done
    -- Generating done
    -- Build files have been written to: /Users/william/moveit_ws/build_isolated/random_numbers
    ==> make -j4 -l4 in '/Users/william/moveit_ws/build_isolated/random_numbers'
    Scanning dependencies of target random_numbers
    [100%] Building CXX object CMakeFiles/random_numbers.dir/src/random_numbers.cpp.o
    Linking CXX shared library /Users/william/moveit_ws/devel_isolated/random_numbers/lib/librandom_numbers.dylib
    Undefined symbols for architecture x86_64:
    "boost::system::system_category()", referenced from:
    ___cxx_global_var_init3 in random_numbers.cpp.o
    boost::thread_exception::thread_exception(int, char const*) in random_numbers.cpp.o
    "boost::system::generic_category()", referenced from:
    ___cxx_global_var_init1 in random_numbers.cpp.o
    ___cxx_global_var_init2 in random_numbers.cpp.o
    ld: symbol(s) not found for architecture x86_64

